#ifndef CHESSBOARD_HPP
#define CHESSBOARD_HPP

#include "Game/Boards/Board2D.hpp"

class ChessBoard : public Board2D
{
    private:

        void castling(const Move<Coords>& move);

    public:

        ChessBoard()
            :Board2D(8,8) {}

        int getDimensionLength(unsigned int dimensionIndex)const { (void)dimensionIndex; return 8; }

        void move(const Move<Coords>& move);
};

/*! \class ChessBoard ChessBoard.hpp Game/Boards/ChessBoard.hpp
 *  \brief Board implementation for Chess game
 *
 *  The board is a 8x8 board with no particularities
 */

#endif
