#ifndef TST_ROOKMOVES_HPP
#define TST_ROOKMOVES_HPP

#include <QObject>

#include "Game/Boards/ChessBoard.hpp"
#include "Game/Rules/ChessRules.hpp"
#include "Game/Move.hpp"

class RookMovesTest : public QObject
{
    Q_OBJECT

public:
    RookMovesTest();

private:
    ChessBoard m_board;
    ChessRules m_rules;
    ChessBoard::Coords sourceCoords;

private Q_SLOTS:
    void initTestCase();
    void cleanupTestCase();
    void rookTesting();
    void rookTesting_data();
};

#endif // TST_ROOKMOVES_HPP
